# PhasicFlow: indexContainer< IndexType >::IndexAccessor< ViewType > Class Template Reference

indexContainer< IndexType >::IndexAccessor< ViewType > Class Template Reference

## Public Member Functions

| IndexAccessor (ViewType v)
INLINE_FUNCTION_HD IndexType | operator() (int32 i) const

## Protected Attributes

ViewType | view_

## Detailed Description

### template<typename IndexType>
template<typename ViewType>
class pFlow::indexContainer< IndexType >::IndexAccessor< ViewType >

Definition at line 47 of file indexContainer.hpp.

## Constructor & Destructor Documentation

## IndexAccessor()

IndexAccessor | ( | ViewType | v | ) |

inline

Definition at line 53 of file indexContainer.hpp.

## Member Function Documentation

## operator()()

INLINE_FUNCTION_HD IndexType operator() | ( | int32 | i | ) | const

inline

Definition at line 57 of file indexContainer.hpp.

References indexContainer< IndexType >::IndexAccessor< ViewType >::view_.

## Member Data Documentation

## view_

ViewType view_

protected

Definition at line 50 of file indexContainer.hpp.

Referenced by indexContainer< IndexType >::IndexAccessor< ViewType >::operator()().

The documentation for this class was generated from the following file:

- src/phasicFlow/containers/indexContainer/indexContainer.hpp